%define 	name worker
%define 	version 2.19.6
%define 	release %mkrel 5
%define 	docver 2.10.0.2

Summary: 	A file manager for X in AMIGA style
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.boomerangsworld.de/cms/worker/downloads/%{name}-%{version}.tar.bz2
Source1: 	http://www.boomerangsworld.de/cms/worker/downloads/worker-%docver-doc.tar.bz2
Source3: 	%{name}-48.png
Source4: 	%{name}-32.png
Source5: 	%{name}-16.png
License: 	GPLv2+
Group: 		File tools
URL: 		http://www.boomerangsworld.de/worker
BuildRequires:	libx11-devel
BuildRequires:	libxinerama-devel
BuildRequires:	magic-devel
BuildRequires:	avfs-devel
BuildRequires:	pkgconfig(dbus-glib-1)

%description
Worker is a graphical filemanager for the X Window System.
It use the classical two-panel-view of the files and directories. 
It hast many intern operations while any extern program can also be
used for operate on the selected items. You can easily add actions 
to filetypes or buttons with the builtin configuration program.

%prep
%setup -q -a 1

%build
%configure2_5x
%make

pushd %name-%docver-doc
%configure2_5x
%make
popd

%install
%makeinstall_std
%makeinstall_std -C %name-%docver-doc

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%files
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/*
%_datadir/applications/*.desktop
%{_datadir}/worker
%{_mandir}/man1/worker.1*
%lang(fr) %{_mandir}/fr/man1/worker.1.*
%lang(it) %{_mandir}/it/man1/worker.1.*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_datadir/pixmaps/*.xpm


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.19.6-5.mga4
+ Revision: 527523
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 2.19.6-4.mga4
+ Revision: 441049
- br xinerama

* Sun Jun 09 2013 fwang <fwang> 2.19.6-3.mga4
+ Revision: 441040
- rebuild for updated avfs

* Sun Jun 09 2013 fwang <fwang> 2.19.6-2.mga4
+ Revision: 441025
- br dbus

* Sun Jun 09 2013 fwang <fwang> 2.19.6-1.mga4
+ Revision: 441019
- new version 2.19.6

* Mon Jan 14 2013 umeabot <umeabot> 2.19.4-2.mga3
+ Revision: 385843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 fwang <fwang> 2.19.4-1.mga3
+ Revision: 268405
- new version 2.19.4

* Sat Mar 03 2012 fwang <fwang> 2.19.1-1.mga2
+ Revision: 217184
- new version 2.19.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 2.19.0-1.mga2
+ Revision: 208686
- new version 2.19.0
- add avfs support

* Sun Dec 11 2011 fwang <fwang> 2.18.1-1.mga2
+ Revision: 180555
- new version 2.18.1

* Sat Jul 16 2011 fwang <fwang> 2.18.0-1.mga2
+ Revision: 124632
- new version 2.18.0

* Fri Jul 08 2011 dams <dams> 2.17.13-1.mga2
+ Revision: 120633
- Update to 2.17.13

* Fri Feb 11 2011 dmorgan <dmorgan> 2.17.10-2.mga1
+ Revision: 50186
- Remove mdv macros
- imported package worker


* Thu Feb 03 2011 Funda Wang <fwang@mandriva.org> 2.17.10-2mdv2011.0
+ Revision: 635644
- tighten BR

* Tue Feb 01 2011 Götz Waschk <waschk@mandriva.org> 2.17.10-1
+ Revision: 634650
- new version
- use upstream desktop entry

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2011.0
+ Revision: 550287
- update to new version 2.17.8

* Thu Mar 04 2010 Frederik Himpe <fhimpe@mandriva.org> 2.17.6-1mdv2010.1
+ Revision: 514237
- update to new version 2.17.6

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2010.1
+ Revision: 465163
- new version
- drop patch

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 2.17.2-2mdv2010.0
+ Revision: 445818
- rebuild

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2009.1
+ Revision: 353199
- new version
- fix build

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2009.1
+ Revision: 343743
- update to new version 2.17.1

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.16.5-1mdv2009.0
+ Revision: 231549
- new version

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 2.16.4-1mdv2009.0
+ Revision: 230605
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2008.1
+ Revision: 165857
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2008.1
+ Revision: 115382
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 29 2007 Funda Wang <fwang@mandriva.org> 2.15.0-1mdv2008.0
+ Revision: 45633
- New version


* Thu Mar 22 2007 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.1
+ Revision: 148181
- new version
- new version
- new docs

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdv2007.1
+ Revision: 89597
- rebuild

* Tue Nov 14 2006 Lenny Cartier <lenny@mandriva.com> 2.14.1-1mdv2007.1
+ Revision: 84031
- Update to 2.14.1
- Import worker

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- New version 2.14.0

* Sat Jul 22 2006 Gtz Waschk <waschk@mandriva.org> 2.13.1-1mdv2007.0
- xdg menu
- New release 2.13.1

* Fri Jun 23 2006 Götz Waschk <waschk@mandriva.org> 2.13.0-1mdv2007.0
- New release 2.13.0

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 2.12.0-1mdk
- 2.12

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 2.11.2-1mdk
- update URL
- new version

* Thu Dec 15 2005 Götz Waschk <waschk@mandriva.org> 2.11.1-1mdk
- New release 2.11.1
- use mkrel

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 2.11.0-1mdk
- New release 2.11.0

* Wed Jul 27 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Fri Apr 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0

* Tue Dec 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.9.0-1mdk
- 2.9.0

* Fri Jul 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.5-1mdk
- drop patch
- New release 2.8.5

* Fri Jun 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.4-2mdk
- patch for new g++

